routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('artist', 'ArtistController');
Route::resource('movie', 'MovieController');
Route::resource('cinema', 'CinemaController');
Route::resource('room', 'RoomController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Models/Room.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Room extends Model
{
    protected $fillable = [
        'name', 'capacity'
    ];

    // public function belongsTo()
    // {
    //     return $this->belongsTo('App\Models\Room', 'room_id');
    // }
}

app/Http/Controllers/RoomController.php
<?php

namespace App\Http\Controllers;


use \App\Models\Room;
use \App\Http\Requests\RoomRequest;

use Illuminate\Http\Request;

class RoomController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('rooms.index', ['rooms' => Room::paginate(4)]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('rooms.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(RoomRequest $request)
    {
        Room::create($request->all());
        return redirect()->route('room.create')
            ->with('ok', __('Room has been saved'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Room $room)
    {
        return view('rooms.edit', ['room' => $room]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(RoomRequest $request, Room $room)
    {
        $room->update($request->all());

        return redirect()->route('room.index')
            ->with('ok', __('Room has been updated'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $room->delete();
        return response()->json();
    }
    public function __construct()
    {
        $this->middleware('ajax')->only('destroy');
    }
}

resources/views/rooms/create.blade.php
@extends('layouts.app')

@section('title', 'Create Room')

@section('content')

<div class="container" style="margin-top: 10em; width: 30%;">
  <p><a href="{{ route('room.index') }}">Go back</a></p>
<h1>Create new room</h1>

<form method="POST" action="{{ route('room.store') }}">
  {{ csrf_field() }}
 
  <div class="form-group">
    <label for="name">Name</label>
    <input type="text"
      name="name"
      id="name"
      class="form-control"
      value=""
      required
    />
  </div>

  <div class="form-group form-check">
    <label for="capacity">Capacity</label>
    <input 
      type="text"
      name="capacity"
      id="capacity"
      class="form-control"
      value="" 
      required
    />
  </div>
  <button type="submit" class="btn btn-primary">Submit</button>
</form>
</div>
@endsection

resources/views/rooms/edit.blade.php
@extends('layouts.app')

@section('title', 'Room Name')

@section('content')
<div class="container" style="margin-top: 10em; width: 30%;">

  <form method="POST" action="{{ route('room.update', $room->id) }}">
    {{ csrf_field() }}
    {{ method_field('PUT') }}
    <p><a href="{{ route('room.index') }}">Go back</a></p>

    <div class="form-group">
      <label for="name">Name</label>
      <input type="text"
        name="name"
        id="name"
        class="form-control"
        value="{{ $room->name }}"
        required
      />
    </div>

    <div class="form-group form-check">
      <label for="capacity">Capacity</label>
      <input 
        type="text"
        name="capacity"
        id="capacity"
        class="form-control"
        value="{{ $room->capacity}}" 
        required
      />
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>

@endsection

resources/views/rooms/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container mx-auto" style="width: 800px; margin-top:50px">
  <h1>List of Rooms</h1>
  <h4 style="padding-bottom:30px"><a href ="{{ route('room.create')}}">Create new room</a></h4>
  <table class="table table-stpied table-centered">
    <thead>
      <tr>
        <th>{{__('Name')}}</th>
        <th>{{__('Capacity')}}</th>
      </tr>
    </thead>
    <tbody>
      @foreach($rooms as $room)
      <tr>
        <td>{{ $room->name }}</td>
        <td>{{ $room->capacity }}</td>
        <td>
          <a type="button" 
            href="{{ route('room.edit', $room->id )}}" 
            class="btn"
            data-toggle="tooltip"
            title="@lang('Edit room') {{ $room->name }}">
            Edit <i class="fas fa-edit"></i>
          </a>
          <a type="button" 
            href="{{ route('room.destroy', $room->id )}}" 
            class="btn-delete"
            title="@lang('Delete room') {{ $room->name }}">
            Delete <i class="fas fa-trash-alt"></i>
          </a>
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>

</div>
<!--pagination pour changer de page-->
{{ $rooms->appends(request()->except('page'))->links() }}
</div>
  <!--securité + onclick btn delete-->
<script>
  $.ajaxSetup({
    headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')}
  })

  $(document).on('click', '.btn-delete', function(){

    let button = $(this);

    $.ajax ({
      url: $(this).attr('href'),
      type: 'DELETE'
    }).done(function(){
      $(button).closest('tr').remove();
    });
    return false;
  });
</script>

@endsection